> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List flow executions

> Return a paginated history of flow executions. Supports filtering by `flowId`, `triggerId`, `status`, and a `from`/`to` time range, plus free-text `search` and ordering by startedAt, finishedAt, or status.



## OpenAPI

````yaml /api-reference/workflows.yaml get /executions
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /executions:
    get:
      tags:
        - Executions
      summary: List flow executions
      description: >-
        Return a paginated history of flow executions. Supports filtering by
        `flowId`, `triggerId`, `status`, and a `from`/`to` time range, plus
        free-text `search` and ordering by startedAt, finishedAt, or status.
      operationId: listExecutions
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: flowId
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: triggerId
          in: query
        - schema:
            type: string
            enum:
              - pending
              - running
              - success
              - failed
              - cancelled
              - skipped
              - invalid
          required: false
          name: status
          in: query
        - schema:
            type:
              - string
              - 'null'
          required: false
          name: from
          in: query
        - schema:
            type:
              - string
              - 'null'
          required: false
          name: to
          in: query
        - schema:
            type: string
            maxLength: 256
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - startedAt
              - finishedAt
              - status
            default: startedAt
          required: false
          name: orderBy
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          required: false
          name: orderByDirection
          in: query
      responses:
        '200':
          description: Execution history
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/FlowExecution'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - items
                  - pagination
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const executions = await client.workflows.executions.list();

            console.log(executions.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            executions = client.workflows.executions.list()
            print(executions.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\texecutions, err := client.Workflows.Executions.List(context.TODO(), mobileruncloud.WorkflowExecutionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", executions.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:executions list \
              --api-key 'My API Key'
components:
  schemas:
    FlowExecution:
      type: object
      properties:
        id:
          type: string
          format: uuid
        flowId:
          type: string
          format: uuid
        triggerId:
          type: string
          format: uuid
        eventId:
          type:
            - string
            - 'null'
          format: uuid
        flowName:
          type:
            - string
            - 'null'
        triggerName:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
          enum:
            - pending
            - running
            - success
            - failed
            - cancelled
            - skipped
            - invalid
        kind:
          type: string
          enum:
            - live
            - dry_run
        result: {}
        error:
          type:
            - string
            - 'null'
        startedAt:
          type:
            - string
            - 'null'
        finishedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - flowId
        - triggerId
        - eventId
        - flowName
        - triggerName
        - status
        - kind
        - error
        - startedAt
        - finishedAt
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````